### Function

# Ide SearchReducer init

#### Declaration

    void
    ide_search_reducer_init (
      IdeSearchReducer* reducer,
      gsize max_results
    )

#### Description

Initializes a new `IdeSearchReducer` to be used to reduce the number of search results that are created. This is generally just used to help keep search performance good.

Available since: | 3.32

#### Parameters

`reducer` | `IdeSearchReducer`
| The reducer to initialize.
| The argument will be set by the function.
| The data is owned by the caller of the function.
`max_results` | `gsize`
| Max result size for the reuslts.